#!/bin/sh
#
# Copyright (c) 1998 Universities Research Association, Inc.
#       All Rights Reserved
#
#
# This material resulted from work developed under a Government Contract and
# is subject to the following license:  The Government retains a paid-up,
# nonexclusive, irrevocable worldwide license to reproduce, prepare derivative
# works, perform publicly and display publicly by or for the Government,
# including the right to distribute to other Government contractors.  Neither
# the United States nor the United States Department of Energy, nor any of
# their employees, makes any warranty, express or implied, or assumes any
# legal liability or responsibility for the accuracy, completeness, or
# usefulness of any information, apparatus, product, or process disclosed, or
# represents that its use would not infringe privately owned rights.
#
# The setups_products_init.sh script uses the information in the 
# ~products/etc/upsdb_list which was 
# edited when ups database was established, if present.  
# If this information is missing, the setups_products_init.sh 
# will default to a string created when ups was configured.
# This may not be entirely suitable in all cases.
#
# This script was generated when ups was configured.
#

BootStrap_Dir=/fnal/ups/db/.upsfiles/configure/v4_3_Linux+2_

Products_String_File=upsdb_list

#Setups_Products_Init_Default=""

if test -x /bin/echo
then
    ECHO=/bin/echo
elif test  -x /usr/bin/echo
then
    ECHO=/usr/bin/echo
else
    ECHO=echo
fi

# =====  DO NOT EDIT BELOW THIS LINE  ===  DO NOT REMOVE THIS LINE  =====

if test `echo $Setups_Home|cut -c1` != '/'
then
    TeMp=/tmp
    if test x${TMPDIR:-} != x
    then
	TeMp=$TMPDIR
    fi
    for sh in bash ksh ash sh
    do
	if test -x /usr/bin/${sh}
	then
	    Name_Of_Sh=/usr/bin/${sh}
	    break
	elif test -x /bin/${sh}
	then
	    Name_Of_Sh=/bin/${sh}
	    break
	fi
    done
    cat <<XxEoF >$TeMp/Ash_$$
#!${Name_Of_Sh}
eval dir=\$1
$ECHO \$dir
XxEoF
    chmod +x $TeMp/Ash_$$
    Setups_Home=`(unset ENV; $TeMp/Ash_$$ $Setups_Home )`
    rm -f $TeMp/Ash_$$ 
fi

Products_List_Home=$Setups_Home

Setups_Current=1

if test $Setups_Current = 0
then
    Setups_Home=$BootStrap_Dir
fi

# 
# Define the node variables.  They're all the same, in case the user goofs.
#
Node=`uname -n|cut -f1 -d'.'`
node=$Node; NODE=$Node
#
# Find one of the PRODUCTS strings.  There should be several copies.
# the one in ~products/etc is preferred.
# Other wise use the default created at configure time.
#
if test -r $Products_List_Home/$Products_String_File
then
    Products_String=`cat $Products_List_Home/$Products_String_File|grep -v '^#'`
    Products_String="${UPS_EXTRA_DIR} ${Products_String}"
#elif test -r $BootStrap_Dir/$Products_String_File
#then
#    Products_String=`cat $BootStrap_Dir/$Products_String_File|grep -v '^#'`
#    Products_String="${UPS_EXTRA_DIR} ${Products_String}"
else
#    Products_String="${UPS_EXTRA_DIR} ${Setups_Products_Init_Default}"
    echo $Products_List_Home/$Products_String_File not found.
    echo ups was not properly configured.
    exit 1 
fi
#Products_String="${Products_String:-} /fnal/ups/db"
#
# Search the PRODUCTS string for existing directories.  They only 
# count if they exist.  Format the result as a UPSII PRODUCTS
# environment variable.
#
prod_set=no
for Prod in ${Products_String}
do
    TeMp=/tmp
    if test x${TMPDIR:-} != x
    then
        TeMp=$TMPDIR
    fi
    if test `echo $Prod|cut -c1` != '/'
    then
    	for sh in bash ksh ash sh
    	do
	    if test -x /usr/bin/${sh}
	    then
	    	Name_Of_Sh=/usr/bin/${sh}
	    	break
	    elif test -x /bin/${sh}
	    then
	    	Name_Of_Sh=/bin/${sh}
	    	break
	    fi
        done
        cat <<XxEoF >$TeMp/Ash_$$
#!${Name_Of_Sh}
eval dir=\$1
$ECHO \$dir
XxEoF
        chmod +x $TeMp/Ash_$$
        Prod=`(unset ENV; $TeMp/Ash_$$ $Prod )`
        rm -f $TeMp/Ash_$$ 
    fi
    if test -d $Prod
    then
	if test $prod_set = no
        then
	    PRODUCTS=$Prod
	    prod_set=yes

        elif test `echo $PRODUCTS|grep -c $Prod` = "0"
        then
	    PRODUCTS=${PRODUCTS}:${Prod}
	fi
    fi
done
#
# output the result as an eval string which will set the PRODUCTS environment
# variable in the invoking shell.  NOTE: this is shell family sensitive.
#
if test x`echo ${PRODUCTS:-}|cut -c1` = x/
then
    if test $UPS_SHELL = sh
    then
        cat <<EoF
        PRODUCTS=$PRODUCTS; export PRODUCTS;
EoF
    elif test $UPS_SHELL = csh
    then
        cat <<EoF
        setenv PRODUCTS "$PRODUCTS";
EoF
    fi
fi
