#!/bin/sh

OLDDATABASE=/afs/fnal.gov/products/ups_database/declared
NEWDATABASE=/afs/fnal/ups/db
OLDSETUPS=/usr/local/etc/setupsI.sh
NEWSETUPS=/fnal/ups/etc/setups.sh
WORKDIR=/tmp/workdir

test -d ${WORKDIR} || mkdir ${WORKDIR}
cd ${WORKDIR}

DEBUG="set -x"

$DEBUG

#
# Get into old ups environment to run old ups list

env - /bin/sh <<EOF

    PATH=/usr/local/bin:/bin:/sbin:/usr/sbin:/usr/ccs/bin
    export PATH

    . ${OLDSETUPS}

    $DEBUG

    ups list -al -z ${OLDDATABASE} > upslist.out

EOF

#
# Get into new ups environment to run conversion
#
env - /bin/sh <<EOF
    PATH=/usr/local/bin:/bin:/sbin:/usr/sbin:/usr/ccs/bin
    export PATH

    . ${NEWSETUPS}
    setup upd

    $DEBUG

    PRODUCTS=${NEWDATABASE}
    
    perl \${UPD_DIR}/src/doconvert -l < upslist.out > convert.batch

    sh -x convert.batch
	
EOF
