##########################################################################
#
# FILE:
#       updgbl.pm
# 
# DESCRIPTION: 
#       UPD global vars 
#       (for more info, see pod at the end).
#
# AUTHORS:
#       Marc Mengel
#       Lars Rasmussen
#       Margaret Votava
#       Don Walsh
#
#       Fermilab Computing Division
#       Batavia, IL 60510, U.S.A.                                              
#
# MODIFICATIONS:
#	06-Feb-1998, PR, first
#
##########################################################################
package updgbl;

use strict;
use vars qw( @ISA @EXPORT %g_flags $g_default_remote_node );

@ISA = qw( Exporter );
@EXPORT = qw( 
	     %g_flags 
	     $g_default_remote_node 
	     );

use Exporter ();

##########################################################################
# Exported variables
#

$g_default_remote_node = 'fnkits.fnal.gov';
%g_flags = ();

##########################################################################
# Global and local variables
#

##########################################################################
# Exported functions
#

#-------------------------------------------------------------------------
# <return> = updxyz_<functions name>( <input> )
#
# <description>
#
# Input : <input>
# Output: <output>
# Return: <return>
#

##########################################################################
# Private functions
#

#-------------------------------------------------------------------------
# <return> = updxyz_<functions name>( <input> )
#
# <description>
#
# Input : <input>
# Output: <output>
# Return: <return>
#


1;

__END__

=head1 NAME

updgbl - UPD global variables

=head1 SYNOPSIS

All UPD global variables are declared, initialized, and exported from here.

=head1 DESCRIPTION

A separate module is convenient to avoid "use" declaration loops.

=head1 BUGS

This is a bit inconvenient.

=cut
