##########################################################################
#
# FILE:
#       updui.pm
# 
# DESCRIPTION: 
#       Contains the funtion that will dislpay the 
#		instance spec. and will prompt the user for
#		a filename and propriety information regarding
#		the instance spec.
#
# AUTHORS:
#       Marc Mengel
#       Lars Rasmussen
#       Margaret Votava
#       Don Walsh
#
#       Fermilab Computing Division
#       Batavia, Il 60510, U.S.A.                                              
#
# MODIFICATIONS:
#       dd-mmm-yyyy, NN, first
#
##########################################################################

package updui;

require Exporter;

@ISA = qw(Exporter);

##########################################################################
# Exported Functions
#
##########################################################################

@EXPORT = qw ( updui_prompt_propriety );

##########################################################################
# What to use
#
##########################################################################

use strict;

##########################################################################

#-------------------------------------------------------------------------
# updui_prompt_propriety($instance_spec, $prop_info, $filename)
#
# Prompt the user to enter a 'filename' and special
# propriety product fretch information 'prop_info'
# needed for 'instance spec'.
#
# Input : reference \%instance_spec,
# Output: reference \$prop_info,
# Output: reference \$filename.
# Return: scalar status_code
#

sub updui_prompt_propriety {
	my ($instance_spec,
		$prop_info,
		$filename) = @_;

my $status = 1;
my $spec = "\0";
my $Pstr = '0';

	print "Instance Spec: \n";
	foreach $spec ( keys %$instance_spec) {
		$Pstr = sprintf "%20s : %s", $spec,$instance_spec->{$spec};
		print "$Pstr\n";
	}
	
	print "\n";
	print "Enter Group Name: ";
	chomp($prop_info->{'group_name'} = <STDIN>);
	
	print "Enter Group Pass word: ";
	chomp($prop_info->{'pass_word'} = <STDIN>);
	
	# no longer needed with new proprietary structure -- mengel
	# print "Enter Filename: ";
	# chomp(${$filename} = <STDIN>);
	return $status;
}


1;

__END__

=head1 NAME

upderr - blah blah

=head1 SYNOPSIS

<use it this way>

=head1 DESCRIPTION

<description>

=head1 BUGS

<bugs>

=cut

