/************************************************************************
 *
 * FILE:
 *       ups.h
 * 
 * DESCRIPTION: 
 *       This file includes all possible ups include files and is to be used
 *       as a shortcut by the user so they do not have to know the details.
 *
 * AUTHORS:
 *       Eileen Berman
 *       David Fagan
 *       Lars Rasmussen
 *
 *       Fermilab Computing Division
 *       Batavia, Il 60510, U.S.A.
 *
 * MODIFICATIONS:
 *       6-Oct-1997, EB, first
 *
 ***********************************************************************/

#ifndef _UPS_H_
#define _UPS_H_

/* all ups specific include files */
#include "upsact.h"
#include "upscpy.h"
#include "upserr.h"
#include "upsfil.h"
#include "upsget.h"
#include "upshlp.h"
#include "upskey.h"
#include "upslst.h"
#include "upsmat.h"
#include "upsmem.h"
#include "upstbl.h"
#include "upstyp.h"
#include "upsugo.h"
#include "upsutl.h"
#include "upsver.h"
#include "ups_list.h"
#include "ups_configure.h"
#include "ups_copy.h"
#include "ups_declare.h"
#include "ups_depend.h"
#include "ups_flavor.h"
#include "ups_get.h"
#include "ups_list.h"
#include "ups_main.h"
#include "ups_modify.h"
#include "ups_setup.h"
#include "ups_start.h"
#include "ups_stop.h"
#include "ups_tailor.h"
#include "ups_touch.h"
#include "ups_unconfigure.h"
#include "ups_unk.h"
#include "ups_unsetup.h"
#include "ups_undeclare.h"
#include "ups_verify.h"

#endif /* _UPS_H_ */
