#
# Copyright (c) 1994 Universities Research Association, Inc.
#       All Rights Reserved
#
#
# This material resulted from work developed under a Government Contract and
# is subject to the following license:  The Government retains a paid-up,
# nonexclusive, irrevocable worldwide license to reproduce, prepare derivative
# works, perform publicly and display publicly by or for the Government,
# including the right to distribute to other Government contractors.  Neither
# the United States nor the United States Department of Energy, nor any of
# their employees, makes any warrenty, express or implied, or assumes any
# legal liability or responsibility for the accuracy, completeness, or
# usefulness of any information, apparatus, product, or process disclosed, or
# represents that its use would not infringe privately owned rights.
#

# @(#) setpath.csh 1.5 Delta: 94/11/02 16:53:47 Extraction 94/11/02 16:56:09 @(#)

if ($?HOME == 0 ) then
	setenv HOME /
endif

set path=""
foreach DIR ( /usr/sbin \
	/usr/afsws/bin \
	/usr/afsws/etc \
	/opt/SUNWspro/bin \
	/usr/openwin/bin \
	/usr/ccs/bin \
	/usr/lang \
	/usr/bsd \
	/bin \
	/usr/bin \
	/usr/lbin \
	/usr/ucb \
	/etc \
	/usr/etc \
	/usr/bin/X11 \
	/usr/kinet/bin \
	/usr/local/bin \
	/usr/sccs )
	if ( -d $DIR ) then
		set path=($path $DIR)
	endif
end
#
# Add your HOME/bin and bin."flavor"
# Put your Sun executables in a bin named bin.SunOS,
#     your IRIX executables in bin.IRIX,
#     your AIX     "         " bin.AIX,
#  ...etc...
#
# Do not do this if you are root, because //bin is your
# $HOME/bin, and do not put current directin in root's path
if ($?MACH_OS == 0) then
	set MACH_OS=`funame -s`
endif
if ( "$HOME" != "/" ) then
	foreach DIR ( $HOME/bin.$MACH_OS $HOME/bin )
		if ( -d $DIR ) then
			set path=($DIR $path)
		endif
	end
	set path=($path .)
endif
